### Function

# Gdk ContentDeserializeFunc

#### Declaration

    void
    ContentDeserializeFunc (
      GdkContentDeserializer* deserializer
    )

#### Description [src]

The type of a function that can be registered with gdk_content_register_deserializer().

When the function gets called to operate on content, it can call functions on the `deserializer` object to obtain the mime type, input stream, user data, etc. for its operation.

#### Parameters

`deserializer` | `GdkContentDeserializer`
| A `GdkContentDeserializer`.
| The data is owned by the caller of the function.